@charset "UTF-8";

@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

:root {
  --font1: "Poppins", sans-serif;
  --font2: "Montserrat", sans-serif;
  --font3: "Inter", sans-serif;

  --color1: rgb(180, 180, 180);
}

*{
    box-sizing: border-box;
}

#nature-image{
    background-image: url(../images/nature1.jpg);
}

#info-container{
    margin-top: 10px;
    width: 1100px;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
    margin-bottom: 50px;
}

#basic-info{
    width: 700px;
    height: 600px;
    border: 3px solid black;
    box-shadow: 4px 4px black;
    background-color: whitesmoke;
}

#basic-info-title{
    background-color: var(--color1);
    border-bottom: 3px solid black;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: start;
}

#basic-info-title h2{
    margin-left: 20px;
    font-size: 20px;
    font-weight: 600;
}

#basic-info-content{
    height: auto;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    overflow-y: scroll;
}

#basic-info-content p{
    font-size: 18px;
    padding: 4px;
}

#my-photo{
    width: 400px;
    height: 600px;
    border: 3px solid black;
    box-shadow: 4px 4px black;
    display: grid;
    grid-template-rows: 2fr 0.3fr;
}

#photo-container{
    display: flex;
    align-items: center;
    height: 100%;
    background-image: url(../images/unwiredoo.jpg);
}

#photo-title{
    background-color: whitesmoke;
    height: 100%;
    display: flex;
    align-items: center;
    border-top: 3px solid black;
}

#photo-title h2{
    font-size: 22px;
    font-weight: 600;
    margin-left: 20px;
}

#interests-box{
    border: 3px solid black;
    box-shadow: 3px 3px black;
    background-color: var(--color1);

    margin-bottom: 50px;
    height: 60px;
    width: 1100px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 70px;
}

.interests-option{
    transition: 0.4s ease;
    font-weight: 500;
}

.interests-option:hover{
    font-weight: 700;
}
  

/* media query*/

@media(max-width:1220px){
    #info-container{
        width: 800px;
        gap: 5px;
    }

    #my-photo{
        width: 390px;
        margin: 5px;
    }

    #basic-info{
        width: 390px;
        margin: 5px;
    }

    #interests-box{
        width: 800px;
    }
}

@media(max-width: 810px){
    #info-container{
        width: 460px;
        flex-direction: column;
    }

    #my-photo{
        width: 440px;
    }

    #basic-info{
        width: 440px;
    }

    #interests-box{
        width: 460px;
        gap: 10px;
    }
}

@media(max-width: 480px){
    #info-container{
        width: 300px;
    }

    #my-photo{
        width: 300px;
        height: 400px;
    }

    #basic-info{
        width: 300px;
        height: auto;
        overflow-y: auto;
        min-height: 0;
    }

    #interests-box{
        margin-top: 20px;
        width: 300px;
        gap: 15px;
    }

    #cars-option{
        display: none;
    }

    #games-option{
        display: none;
    }
}